aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNick Roberts2007-05-20 05:16:40 +0000
committerNick Roberts2007-05-20 05:16:40 +0000
commit79011b824e472d31e08cf639db17738c324f04fc (patch)
tree79530ef0925ab28ed40630619b12df8de9a6ab1a
parent7e5a23bd93d600f719b3b6db4cfbb925d7ea8c8f (diff)
downloademacs-79011b824e472d31e08cf639db17738c324f04fc.tar.gz
emacs-79011b824e472d31e08cf639db17738c324f04fc.zip
* configure.in: Use HAVE_GPM instead of HAVE_GPM_H and implement
it like others. * configure: Regenerate.
-rwxr-xr-xconfigure297
-rw-r--r--configure.in19
2 files changed, 236 insertions, 80 deletions
diff --git a/configure b/configure
index dae1cdcc72f..4dfb335313f 100755
--- a/configure
+++ b/configure
@@ -412,10 +412,10 @@ else
412fi 412fi
413 413
414test \$exitcode = 0") || { 414test \$exitcode = 0") || {
415 echo Please tell bug-autoconf@gnu.org about your system, 415 echo No shell found that supports shell functions.
416 echo including any error possibly output before this message. 416 echo Please tell autoconf@gnu.org about your system,
417 echo This can help us improve future autoconf versions. 417 echo including any error possibly output before this
418 echo Configuration will now proceed without shell functions. 418 echo message
419} 419}
420 420
421 421
@@ -721,7 +721,6 @@ X_TOOLKIT_TYPE
721machfile 721machfile
722opsysfile 722opsysfile
723carbon_appdir 723carbon_appdir
724LIBGPM
725LTLIBOBJS' 724LTLIBOBJS'
726ac_subst_files='' 725ac_subst_files=''
727 ac_precious_vars='build_alias 726 ac_precious_vars='build_alias
@@ -1341,6 +1340,7 @@ Optional Packages:
1341 --with-tiff use -ltiff for displaying TIFF images 1340 --with-tiff use -ltiff for displaying TIFF images
1342 --with-gif use -lungif for displaying GIF images 1341 --with-gif use -lungif for displaying GIF images
1343 --with-png use -lpng for displaying PNG images 1342 --with-png use -lpng for displaying PNG images
1343 --with-gpm use -lgpm for mouse support on a GNU/Linux console
1344 --with-gtk use GTK (same as --with-x-toolkit=gtk) 1344 --with-gtk use GTK (same as --with-x-toolkit=gtk)
1345 --with-pkg-config-prog Path to pkg-config to use for finding GTK 1345 --with-pkg-config-prog Path to pkg-config to use for finding GTK
1346 --without-toolkit-scroll-bars 1346 --without-toolkit-scroll-bars
@@ -1943,6 +1943,12 @@ if test "${with_png+set}" = set; then
1943fi 1943fi
1944 1944
1945 1945
1946# Check whether --with-gpm was given.
1947if test "${with_gpm+set}" = set; then
1948 withval=$with_gpm;
1949fi
1950
1951
1946# Check whether --with-gtk was given. 1952# Check whether --with-gtk was given.
1947if test "${with_gtk+set}" = set; then 1953if test "${with_gtk+set}" = set; then
1948 withval=$with_gtk; 1954 withval=$with_gtk;
@@ -6523,12 +6529,11 @@ fi
6523 6529
6524 6530
6525 6531
6526
6527for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \ 6532for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \
6528 linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \ 6533 linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \
6529 termcap.h stdio_ext.h fcntl.h strings.h coff.h pty.h sys/mman.h \ 6534 termcap.h stdio_ext.h fcntl.h strings.h coff.h pty.h sys/mman.h \
6530 sys/param.h sys/vlimit.h sys/resource.h locale.h sys/_mbstate_t.h \ 6535 sys/param.h sys/vlimit.h sys/resource.h locale.h sys/_mbstate_t.h \
6531 sys/utsname.h pwd.h gpm.h 6536 sys/utsname.h pwd.h
6532do 6537do
6533as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 6538as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6534if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 6539if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
@@ -13939,6 +13944,213 @@ _ACEOF
13939 fi 13944 fi
13940fi 13945fi
13941 13946
13947### Use -lgpm if available, unless `--with-gpm=no'.
13948HAVE_GPM=no
13949if test "${with_gpm}" != "no"; then
13950 if test "${ac_cv_header_gpm_h+set}" = set; then
13951 { echo "$as_me:$LINENO: checking for gpm.h" >&5
13952echo $ECHO_N "checking for gpm.h... $ECHO_C" >&6; }
13953if test "${ac_cv_header_gpm_h+set}" = set; then
13954 echo $ECHO_N "(cached) $ECHO_C" >&6
13955fi
13956{ echo "$as_me:$LINENO: result: $ac_cv_header_gpm_h" >&5
13957echo "${ECHO_T}$ac_cv_header_gpm_h" >&6; }
13958else
13959 # Is the header compilable?
13960{ echo "$as_me:$LINENO: checking gpm.h usability" >&5
13961echo $ECHO_N "checking gpm.h usability... $ECHO_C" >&6; }
13962cat >conftest.$ac_ext <<_ACEOF
13963/* confdefs.h. */
13964_ACEOF
13965cat confdefs.h >>conftest.$ac_ext
13966cat >>conftest.$ac_ext <<_ACEOF
13967/* end confdefs.h. */
13968$ac_includes_default
13969#include <gpm.h>
13970_ACEOF
13971rm -f conftest.$ac_objext
13972if { (ac_try="$ac_compile"
13973case "(($ac_try" in
13974 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
13975 *) ac_try_echo=$ac_try;;
13976esac
13977eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
13978 (eval "$ac_compile") 2>conftest.er1
13979 ac_status=$?
13980 grep -v '^ *+' conftest.er1 >conftest.err
13981 rm -f conftest.er1
13982 cat conftest.err >&5
13983 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13984 (exit $ac_status); } && {
13985 test -z "$ac_c_werror_flag" ||
13986 test ! -s conftest.err
13987 } && test -s conftest.$ac_objext; then
13988 ac_header_compiler=yes
13989else
13990 echo "$as_me: failed program was:" >&5
13991sed 's/^/| /' conftest.$ac_ext >&5
13992
13993 ac_header_compiler=no
13994fi
13995
13996rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
13997{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
13998echo "${ECHO_T}$ac_header_compiler" >&6; }
13999
14000# Is the header present?
14001{ echo "$as_me:$LINENO: checking gpm.h presence" >&5
14002echo $ECHO_N "checking gpm.h presence... $ECHO_C" >&6; }
14003cat >conftest.$ac_ext <<_ACEOF
14004/* confdefs.h. */
14005_ACEOF
14006cat confdefs.h >>conftest.$ac_ext
14007cat >>conftest.$ac_ext <<_ACEOF
14008/* end confdefs.h. */
14009#include <gpm.h>
14010_ACEOF
14011if { (ac_try="$ac_cpp conftest.$ac_ext"
14012case "(($ac_try" in
14013 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
14014 *) ac_try_echo=$ac_try;;
14015esac
14016eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
14017 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
14018 ac_status=$?
14019 grep -v '^ *+' conftest.er1 >conftest.err
14020 rm -f conftest.er1
14021 cat conftest.err >&5
14022 echo "$as_me:$LINENO: \$? = $ac_status" >&5
14023 (exit $ac_status); } >/dev/null && {
14024 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
14025 test ! -s conftest.err
14026 }; then
14027 ac_header_preproc=yes
14028else
14029 echo "$as_me: failed program was:" >&5
14030sed 's/^/| /' conftest.$ac_ext >&5
14031
14032 ac_header_preproc=no
14033fi
14034
14035rm -f conftest.err conftest.$ac_ext
14036{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
14037echo "${ECHO_T}$ac_header_preproc" >&6; }
14038
14039# So? What about this header?
14040case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
14041 yes:no: )
14042 { echo "$as_me:$LINENO: WARNING: gpm.h: accepted by the compiler, rejected by the preprocessor!" >&5
14043echo "$as_me: WARNING: gpm.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
14044 { echo "$as_me:$LINENO: WARNING: gpm.h: proceeding with the compiler's result" >&5
14045echo "$as_me: WARNING: gpm.h: proceeding with the compiler's result" >&2;}
14046 ac_header_preproc=yes
14047 ;;
14048 no:yes:* )
14049 { echo "$as_me:$LINENO: WARNING: gpm.h: present but cannot be compiled" >&5
14050echo "$as_me: WARNING: gpm.h: present but cannot be compiled" >&2;}
14051 { echo "$as_me:$LINENO: WARNING: gpm.h: check for missing prerequisite headers?" >&5
14052echo "$as_me: WARNING: gpm.h: check for missing prerequisite headers?" >&2;}
14053 { echo "$as_me:$LINENO: WARNING: gpm.h: see the Autoconf documentation" >&5
14054echo "$as_me: WARNING: gpm.h: see the Autoconf documentation" >&2;}
14055 { echo "$as_me:$LINENO: WARNING: gpm.h: section \"Present But Cannot Be Compiled\"" >&5
14056echo "$as_me: WARNING: gpm.h: section \"Present But Cannot Be Compiled\"" >&2;}
14057 { echo "$as_me:$LINENO: WARNING: gpm.h: proceeding with the preprocessor's result" >&5
14058echo "$as_me: WARNING: gpm.h: proceeding with the preprocessor's result" >&2;}
14059 { echo "$as_me:$LINENO: WARNING: gpm.h: in the future, the compiler will take precedence" >&5
14060echo "$as_me: WARNING: gpm.h: in the future, the compiler will take precedence" >&2;}
14061
14062 ;;
14063esac
14064{ echo "$as_me:$LINENO: checking for gpm.h" >&5
14065echo $ECHO_N "checking for gpm.h... $ECHO_C" >&6; }
14066if test "${ac_cv_header_gpm_h+set}" = set; then
14067 echo $ECHO_N "(cached) $ECHO_C" >&6
14068else
14069 ac_cv_header_gpm_h=$ac_header_preproc
14070fi
14071{ echo "$as_me:$LINENO: result: $ac_cv_header_gpm_h" >&5
14072echo "${ECHO_T}$ac_cv_header_gpm_h" >&6; }
14073
14074fi
14075if test $ac_cv_header_gpm_h = yes; then
14076 { echo "$as_me:$LINENO: checking for Gpm_Open in -lgpm" >&5
14077echo $ECHO_N "checking for Gpm_Open in -lgpm... $ECHO_C" >&6; }
14078if test "${ac_cv_lib_gpm_Gpm_Open+set}" = set; then
14079 echo $ECHO_N "(cached) $ECHO_C" >&6
14080else
14081 ac_check_lib_save_LIBS=$LIBS
14082LIBS="-lgpm $LIBS"
14083cat >conftest.$ac_ext <<_ACEOF
14084/* confdefs.h. */
14085_ACEOF
14086cat confdefs.h >>conftest.$ac_ext
14087cat >>conftest.$ac_ext <<_ACEOF
14088/* end confdefs.h. */
14089
14090/* Override any GCC internal prototype to avoid an error.
14091 Use char because int might match the return type of a GCC
14092 builtin and then its argument prototype would still apply. */
14093#ifdef __cplusplus
14094extern "C"
14095#endif
14096char Gpm_Open ();
14097int
14098main ()
14099{
14100return Gpm_Open ();
14101 ;
14102 return 0;
14103}
14104_ACEOF
14105rm -f conftest.$ac_objext conftest$ac_exeext
14106if { (ac_try="$ac_link"
14107case "(($ac_try" in
14108 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
14109 *) ac_try_echo=$ac_try;;
14110esac
14111eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
14112 (eval "$ac_link") 2>conftest.er1
14113 ac_status=$?
14114 grep -v '^ *+' conftest.er1 >conftest.err
14115 rm -f conftest.er1
14116 cat conftest.err >&5
14117 echo "$as_me:$LINENO: \$? = $ac_status" >&5
14118 (exit $ac_status); } && {
14119 test -z "$ac_c_werror_flag" ||
14120 test ! -s conftest.err
14121 } && test -s conftest$ac_exeext &&
14122 $as_test_x conftest$ac_exeext; then
14123 ac_cv_lib_gpm_Gpm_Open=yes
14124else
14125 echo "$as_me: failed program was:" >&5
14126sed 's/^/| /' conftest.$ac_ext >&5
14127
14128 ac_cv_lib_gpm_Gpm_Open=no
14129fi
14130
14131rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
14132 conftest$ac_exeext conftest.$ac_ext
14133LIBS=$ac_check_lib_save_LIBS
14134fi
14135{ echo "$as_me:$LINENO: result: $ac_cv_lib_gpm_Gpm_Open" >&5
14136echo "${ECHO_T}$ac_cv_lib_gpm_Gpm_Open" >&6; }
14137if test $ac_cv_lib_gpm_Gpm_Open = yes; then
14138 HAVE_GPM=yes
14139fi
14140
14141fi
14142
14143
14144fi
14145
14146if test "${HAVE_GPM}" = "yes"; then
14147
14148cat >>confdefs.h <<\_ACEOF
14149#define HAVE_GPM 1
14150_ACEOF
14151
14152fi
14153
13942if test "${ac_cv_header_malloc_malloc_h+set}" = set; then 14154if test "${ac_cv_header_malloc_malloc_h+set}" = set; then
13943 { echo "$as_me:$LINENO: checking for malloc/malloc.h" >&5 14155 { echo "$as_me:$LINENO: checking for malloc/malloc.h" >&5
13944echo $ECHO_N "checking for malloc/malloc.h... $ECHO_C" >&6; } 14156echo $ECHO_N "checking for malloc/malloc.h... $ECHO_C" >&6; }
@@ -23071,73 +23283,6 @@ _ACEOF
23071 23283
23072fi 23284fi
23073 23285
23074{ echo "$as_me:$LINENO: checking for Gpm_Open in -lgpm" >&5
23075echo $ECHO_N "checking for Gpm_Open in -lgpm... $ECHO_C" >&6; }
23076if test "${ac_cv_lib_gpm_Gpm_Open+set}" = set; then
23077 echo $ECHO_N "(cached) $ECHO_C" >&6
23078else
23079 ac_check_lib_save_LIBS=$LIBS
23080LIBS="-lgpm $LIBS"
23081cat >conftest.$ac_ext <<_ACEOF
23082/* confdefs.h. */
23083_ACEOF
23084cat confdefs.h >>conftest.$ac_ext
23085cat >>conftest.$ac_ext <<_ACEOF
23086/* end confdefs.h. */
23087
23088/* Override any GCC internal prototype to avoid an error.
23089 Use char because int might match the return type of a GCC
23090 builtin and then its argument prototype would still apply. */
23091#ifdef __cplusplus
23092extern "C"
23093#endif
23094char Gpm_Open ();
23095int
23096main ()
23097{
23098return Gpm_Open ();
23099 ;
23100 return 0;
23101}
23102_ACEOF
23103rm -f conftest.$ac_objext conftest$ac_exeext
23104if { (ac_try="$ac_link"
23105case "(($ac_try" in
23106 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
23107 *) ac_try_echo=$ac_try;;
23108esac
23109eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
23110 (eval "$ac_link") 2>conftest.er1
23111 ac_status=$?
23112 grep -v '^ *+' conftest.er1 >conftest.err
23113 rm -f conftest.er1
23114 cat conftest.err >&5
23115 echo "$as_me:$LINENO: \$? = $ac_status" >&5
23116 (exit $ac_status); } && {
23117 test -z "$ac_c_werror_flag" ||
23118 test ! -s conftest.err
23119 } && test -s conftest$ac_exeext &&
23120 $as_test_x conftest$ac_exeext; then
23121 ac_cv_lib_gpm_Gpm_Open=yes
23122else
23123 echo "$as_me: failed program was:" >&5
23124sed 's/^/| /' conftest.$ac_ext >&5
23125
23126 ac_cv_lib_gpm_Gpm_Open=no
23127fi
23128
23129rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
23130 conftest$ac_exeext conftest.$ac_ext
23131LIBS=$ac_check_lib_save_LIBS
23132fi
23133{ echo "$as_me:$LINENO: result: $ac_cv_lib_gpm_Gpm_Open" >&5
23134echo "${ECHO_T}$ac_cv_lib_gpm_Gpm_Open" >&6; }
23135if test $ac_cv_lib_gpm_Gpm_Open = yes; then
23136 LIBGPM=-lgpm
23137fi
23138
23139
23140
23141 23286
23142 23287
23143 23288
@@ -23180,6 +23325,7 @@ echo " Does Emacs use -ljpeg? ${HAVE_JPEG}"
23180echo " Does Emacs use -ltiff? ${HAVE_TIFF}" 23325echo " Does Emacs use -ltiff? ${HAVE_TIFF}"
23181echo " Does Emacs use -lungif? ${HAVE_GIF}" 23326echo " Does Emacs use -lungif? ${HAVE_GIF}"
23182echo " Does Emacs use -lpng? ${HAVE_PNG}" 23327echo " Does Emacs use -lpng? ${HAVE_PNG}"
23328echo " Does Emacs use -lgpm? ${HAVE_GPM}"
23183echo " Does Emacs use X toolkit scroll bars? ${USE_TOOLKIT_SCROLL_BARS}" 23329echo " Does Emacs use X toolkit scroll bars? ${USE_TOOLKIT_SCROLL_BARS}"
23184echo 23330echo
23185 23331
@@ -24014,11 +24160,10 @@ X_TOOLKIT_TYPE!$X_TOOLKIT_TYPE$ac_delim
24014machfile!$machfile$ac_delim 24160machfile!$machfile$ac_delim
24015opsysfile!$opsysfile$ac_delim 24161opsysfile!$opsysfile$ac_delim
24016carbon_appdir!$carbon_appdir$ac_delim 24162carbon_appdir!$carbon_appdir$ac_delim
24017LIBGPM!$LIBGPM$ac_delim
24018LTLIBOBJS!$LTLIBOBJS$ac_delim 24163LTLIBOBJS!$LTLIBOBJS$ac_delim
24019_ACEOF 24164_ACEOF
24020 24165
24021 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 9; then 24166 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 8; then
24022 break 24167 break
24023 elif $ac_last_try; then 24168 elif $ac_last_try; then
24024 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 24169 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff --git a/configure.in b/configure.in
index 78876a4bed0..ae18893678c 100644
--- a/configure.in
+++ b/configure.in
@@ -113,6 +113,8 @@ AC_ARG_WITH(gif,
113[ --with-gif use -lungif for displaying GIF images]) 113[ --with-gif use -lungif for displaying GIF images])
114AC_ARG_WITH(png, 114AC_ARG_WITH(png,
115[ --with-png use -lpng for displaying PNG images]) 115[ --with-png use -lpng for displaying PNG images])
116AC_ARG_WITH(gpm,
117[ --with-gpm use -lgpm for mouse support on a GNU/Linux console])
116AC_ARG_WITH(gtk, 118AC_ARG_WITH(gtk,
117[ --with-gtk use GTK (same as --with-x-toolkit=gtk)]) 119[ --with-gtk use GTK (same as --with-x-toolkit=gtk)])
118AC_ARG_WITH(pkg-config-prog, 120AC_ARG_WITH(pkg-config-prog,
@@ -1630,7 +1632,7 @@ AC_CHECK_HEADERS(sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \
1630 linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \ 1632 linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \
1631 termcap.h stdio_ext.h fcntl.h strings.h coff.h pty.h sys/mman.h \ 1633 termcap.h stdio_ext.h fcntl.h strings.h coff.h pty.h sys/mman.h \
1632 sys/param.h sys/vlimit.h sys/resource.h locale.h sys/_mbstate_t.h \ 1634 sys/param.h sys/vlimit.h sys/resource.h locale.h sys/_mbstate_t.h \
1633 sys/utsname.h pwd.h gpm.h) 1635 sys/utsname.h pwd.h)
1634 1636
1635AC_MSG_CHECKING(if personality LINUX32 can be set) 1637AC_MSG_CHECKING(if personality LINUX32 can be set)
1636AC_TRY_COMPILE([#include <sys/personality.h>], [personality (PER_LINUX32)], 1638AC_TRY_COMPILE([#include <sys/personality.h>], [personality (PER_LINUX32)],
@@ -2507,6 +2509,17 @@ if test "${HAVE_X11}" = "yes"; then
2507 fi 2509 fi
2508fi 2510fi
2509 2511
2512### Use -lgpm if available, unless `--with-gpm=no'.
2513HAVE_GPM=no
2514if test "${with_gpm}" != "no"; then
2515 AC_CHECK_HEADER(gpm.h,
2516 AC_CHECK_LIB(gpm, Gpm_Open, HAVE_GPM=yes))
2517fi
2518
2519if test "${HAVE_GPM}" = "yes"; then
2520 AC_DEFINE(HAVE_GPM, 1, [Define to 1 if you have the gpm library (-lgpm).])
2521fi
2522
2510dnl Check for malloc/malloc.h on darwin 2523dnl Check for malloc/malloc.h on darwin
2511AC_CHECK_HEADER(malloc/malloc.h, AC_DEFINE(HAVE_MALLOC_MALLOC_H, 1, [Define to 1 if you have the <malloc/malloc.h> header file.])) 2524AC_CHECK_HEADER(malloc/malloc.h, AC_DEFINE(HAVE_MALLOC_MALLOC_H, 1, [Define to 1 if you have the <malloc/malloc.h> header file.]))
2512 2525
@@ -2938,9 +2951,6 @@ if test "${REL_ALLOC}" = "yes" ; then
2938 buffer space.]) 2951 buffer space.])
2939fi 2952fi
2940 2953
2941AC_CHECK_LIB(gpm, Gpm_Open, LIBGPM=-lgpm)
2942AC_SUBST(LIBGPM)
2943
2944AH_TOP([/* GNU Emacs site configuration template file. 2954AH_TOP([/* GNU Emacs site configuration template file.
2945 Copyright (C) 1988, 1993, 1994, 1999, 2000, 2001, 2002, 2004, 2005, 2006, 2007 2955 Copyright (C) 1988, 1993, 1994, 1999, 2000, 2001, 2002, 2004, 2005, 2006, 2007
2946 Free Software Foundation, Inc. 2956 Free Software Foundation, Inc.
@@ -3270,6 +3280,7 @@ echo " Does Emacs use -ljpeg? ${HAVE_JPEG}"
3270echo " Does Emacs use -ltiff? ${HAVE_TIFF}" 3280echo " Does Emacs use -ltiff? ${HAVE_TIFF}"
3271echo " Does Emacs use -lungif? ${HAVE_GIF}" 3281echo " Does Emacs use -lungif? ${HAVE_GIF}"
3272echo " Does Emacs use -lpng? ${HAVE_PNG}" 3282echo " Does Emacs use -lpng? ${HAVE_PNG}"
3283echo " Does Emacs use -lgpm? ${HAVE_GPM}"
3273echo " Does Emacs use X toolkit scroll bars? ${USE_TOOLKIT_SCROLL_BARS}" 3284echo " Does Emacs use X toolkit scroll bars? ${USE_TOOLKIT_SCROLL_BARS}"
3274echo 3285echo
3275 3286